//    tonalisa - software to look at overtone-structures
//    Copyright (C) 2016  Dominik Schmidt-Philipp
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
#include <math.h>
#include "partial.h"

long Partial::freq() {
  return m_freq;
}
long Partial::amp(amp_scale_t scale) {
  long amp = m_amp;
  if (scale == AMP_DB_SCALE)
    amp = 20*log(amp);
  return amp;
}

void Partial::setFreq(const long &freq) {
  m_freq = freq;
}
void Partial::setFreq(const long &amp) {
  m_amp = amp;
}
